# Uses of Class
org.apache.avro.SchemaValidationException

Packages that use SchemaValidationException
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaValidationException in org.apache.avro

Methods in org.apache.avro that throw SchemaValidationException
Modifier and Type
Method
Description
`void`
SchemaValidationStrategy.`validate(Schema toValidate, Schema existing)`
Validates that one schema is compatible with another.
`void`
SchemaValidator.`validate(Schema toValidate, Iterable<Schema> existing)`
Validate one schema against others.
`void`
ValidateAll.`validate(Schema toValidate, Iterable<Schema> schemasInOrder)`
`void`
ValidateLatest.`validate(Schema toValidate, Iterable<Schema> schemasInOrder)`